package com.application.DB;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

/**
 * This class contains constants to be used related to database activities
 */
public final class Constants {

    // Format for today's date
    static DateTimeFormatter format = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");

    private Constants() {
        // Empty constructor
    }

    // Today's date
    public static final String TODAYS_DATE = format.format(LocalDateTime.now());

    // Database ID/name
    public static final String PROJECT_ID = "sf-drying-optimization";

    // Location Valasen
    public static final int LOCATION_ID = 124;
    public static final String TABLE_NAME_VALMATICS = "int_dk_valmaticsdryingbatches_v2";
    public static final String TABLE_NAME_KWH = "int_sd_winccsensordata";

    // Location Arjang
    /*
    public static final int LOCATION_ID = 174;
    public static final String TABLE_NAME_VALMATICS = "int_dk_valmaticsdryingbatches";
    public static final String TABLE_NAME_KWH = "int_sd_swappconsensordata";
     */

}
